<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Fetch API</title>
</head>
<body>
	<div id="output"></div>
	<button id="btn1">Get Data</button>
	<h1>Using Fetch API</h1>

	<script>


	const getData=()=>{
		fetch('https://jsonplaceholder.typicode.com/users')
		.then((response)=>{
			//when fulfilled, let 'response' get it
			// console.log('resolved',response)
			// if(response.status==404){} sample status
			return response.json()
			//'response.()' is still a promise
		}).then((data)=>{
			console.log(data) //data contains array
			let users = "";
			data.forEach((user=>{
				users += `
				<div>
					<h3>${user.name}<h3>
					<p>${user.email}</p>
				</div>`;
			}));
			document.querySelector('#output').innerHTML = users;
		})
		.catch((err)=>{
			console.log('rejected',err)
		});
		//goes to catch if error
		
	}

	const btn1 = document.querySelector('#btn1');
	btn1.addEventListener('click',getData);

		
	</script>
</body>
</html>